// Learn cc.Class:
//  - [Chinese] https://docs.cocos.com/creator/manual/zh/scripting/class.html
//  - [English] http://docs.cocos2d-x.org/creator/manual/en/scripting/class.html
// Learn Attribute:
//  - [Chinese] https://docs.cocos.com/creator/manual/zh/scripting/reference/attributes.html
//  - [English] http://docs.cocos2d-x.org/creator/manual/en/scripting/reference/attributes.html
// Learn life-cycle callbacks:
//  - [Chinese] https://docs.cocos.com/creator/manual/zh/scripting/life-cycle-callbacks.html
//  - [English] https://www.cocos2d-x.org/docs/creator/manual/en/scripting/life-cycle-callbacks.html
// 加载场景
let Head=require("Head")
cc.Class({
    extends:  Head,
    properties: {
        jdt:cc.Sprite,//加载进度条
    },

    // LIFE-CYCLE CALLBACKS:

    onLoad () {
        // cc.director.loadScene("Home");
        this.loading()
        //登录
        // this.login((req)=>{
        //     console.log("返回数据sa",req)
        // })

        // cc.director.preloadScene("Home",(completedCount,totalCount,item)=>{
        //     let bids =completedCount/totalCount
        //     this.jdt.fillRange=bids
        // },(error,asset)=>{
        //     this.loading()
        //
        // })

    },
    onKeyDown(){
      console.log("是快快快")
    },
    /**
     * 加载场景
     */
    loading(){
        cc.director.loadScene("Home");
    },

    start () {

    },

    // update (dt) {},
});
